package org.jeecg.modules.system.app.enums;

import org.jeecg.common.system.annotation.EnumDict;

/**
 * 回复状态枚举
 */
@EnumDict("delFlagEnum")
public enum DelFlagEnum {
//   0-投诉吐槽；1-功能异常；2-用户体验；3-功能建议；4-其他
    NO_DELETE(0, "未删除"),
    YES_DELETE(1, "已删除");

    Integer code;
    String name;
    DelFlagEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
    public static DelFlagEnum getByCode(Integer code) {
        for (DelFlagEnum value : values()) {
            if (value.code.equals(code) ) {
                return value;
            }
        }
        return null;
    }
}
